# Publishing

This document mainly exists so I ([Bauke](https://bauke.xyz)) remember how to go about publishing Love since it's a little complicated for certain platforms.

## Published to platforms

The following sections assume you have previously published a version, but are starting from a completely fresh repository.

### Atom

Requires the [Atom Package Manager](https://github.com/atom/apm) to be installed.

1. Clone all the `love-...` repositories from [the GitHub organization](https://github.com/Holllo) into `source/atom/`. The directories created will be gitignored in the current repository.
2. Build the Atom theme by running `yarn build` (or `yarn build:atom`).
3. Change into each directory (`cd source/atom/love-...`) and review the changes.
4. When satisfied, use `apm publish major|minor|patch` to publish to the Atom Package Registry and the GitHub repositories.

### Visual Studio Code

1. Run `yarn build` (or `yarn build:vscode`).
2. Change into the VS Code source directory (`cd source/vscode/`).
3. Run `yarn package` to create the `.vsix` package.
4. Head to [the Marketplace Manage Extensions page](https://marketplace.visualstudio.com/manage/publishers).
5. Click on the `...` next to the current version and click on `Update`.
6. Upload the `.vsix` that was created in step 3.

## Published to the website

The following integrations aren't yet/can't be published to platforms, so mostly no special procedure needs to happen. They are just built and served on the website directly.

* Firefox (if updated, the links need to be updated on the website too, may get published [to AMO](https://git.holllo.cc/Holllo/love/issues/1)).
* Kitty.
* Sublime Text (may get published [at some point](https://git.holllo.cc/Holllo/love/issues/2)).
* Tauon.
